Skip to main content
GET
/
public
/
v2
/
intercompany-journal-entries
List intercompany journal entries
curl --request GET \
  --url https://api.dualentry.com/public/v2/intercompany-journal-entries/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "record_number": 123,
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "memo": "<string>",
      "exchange_rate": "<string>",
      "items": [
        {
          "id": 123,
          "company_id": 123,
          "company_name": "<string>",
          "account_number": 123,
          "debit": "<string>",
          "credit": "<string>",
          "memo": "<string>",
          "position": 123,
          "eliminate": true,
          "classifications": [],
          "customer_id": 123,
          "customer_name": "<string>",
          "vendor_id": 123,
          "vendor_name": "<string>"
        }
      ],
      "companies": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "company_ids": [
        123
      ],
      "attachments": [],
      "approval_status": "<string>",
      "next_approvers": [
        {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>",
          "full_name": "<string>",
          "avatar_url": "<string>"
        }
      ],
      "rejected_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "full_name": "<string>",
        "rejection_reason": "<string>"
      }
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
approval_status
string[] | null
amount_gte
amount_lte
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicIJESchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026